diff --git a/lang/cat.l b/lang/cat.l
index ef689444d..e1858b1cf 100644
--- a/lang/cat.l
+++ b/lang/cat.l
@@ -711,14 +711,8 @@ NICK_ACCESS_LIST_X_EMPTY
 	Access list for %s is empty.
 
 # Status messages
-NICK_STATUS_0
-	STATUS %s 0
-NICK_STATUS_1
-	STATUS %s 1
-NICK_STATUS_2
-	STATUS %s 2
-NICK_STATUS_3
-	STATUS %s 3
+NICK_STATUS_REPLY
+	STATUS %s %d %s
 
 # INFO responses
 NICK_INFO_SYNTAX
@@ -3977,10 +3971,11 @@ NICK_HELP_STATUS
 	ha estat reconegut com el propietari del nickname.
 	La resposta te el següent format:
 	
-	    nickname codi-del-status
+	    nickname codi-del-status account
 	
-	A on nickname es el nickname enviat amb la comanda, i
-	codi-del-status es un dels següents:
+	where nickname is the nickname sent with the command,
+	codi-del-status is one of the following, and account
+	is the account they are logged in as.
 	
 	    0 - Usuari no esta en linea o el nick no esta registrat.
 	    1 - Usuari no reconegut com el propietari del nick.
diff --git a/lang/de.l b/lang/de.l
index e296acae6..b7358c608 100644
--- a/lang/de.l
+++ b/lang/de.l
@@ -728,14 +728,8 @@ NICK_ACCESS_LIST_X_EMPTY
 	Die Access-Liste für %s leer.
 
 # Status messages
-NICK_STATUS_0
-	STATUS %s 0
-NICK_STATUS_1
-	STATUS %s 1
-NICK_STATUS_2
-	STATUS %s 2
-NICK_STATUS_3
-	STATUS %s 3
+NICK_STATUS_REPLY
+	STATUS %s %d %s
 
 # INFO responses
 NICK_INFO_SYNTAX
@@ -4005,10 +3999,11 @@ NICK_HELP_STATUS
 	Nutzer des Nicknamens der identifizierte Eigentümer ist, oder 
 	nicht.Die Antwort hat das Format:
 	
-	    Nickname Status-Code
+	    Nickname Status-Code Account
 	
-	wobei Nickname der Nickname ist, der mit dem Befehl angefragt
-	wurde und Status-Code eine der folgenden Werte:
+	where Nickname is the nickname sent with the command,
+	Status-Code is one of the following, and Account
+	is the account they are logged in as.
 	
 	    0 - User ist nicht online oder Nickname ist nicht registriert
 	    1 - User wird nicht als Eigentümer erkannt
diff --git a/lang/en_us.l b/lang/en_us.l
index 07f89e1e8..104c4bf0c 100644
--- a/lang/en_us.l
+++ b/lang/en_us.l
@@ -696,14 +696,8 @@ NICK_ACCESS_LIST_X_EMPTY
 	Access list for %s is empty.
 
 # Status messages
-NICK_STATUS_0
-	STATUS %s 0
-NICK_STATUS_1
-	STATUS %s 1
-NICK_STATUS_2
-	STATUS %s 2
-NICK_STATUS_3
-	STATUS %s 3
+NICK_STATUS_REPLY
+	STATUS %s %d %s
 
 # INFO responses
 NICK_INFO_SYNTAX
@@ -3844,10 +3838,11 @@ NICK_HELP_STATUS
 	recognized as the owner of the nickname.  The response has
 	this format:
 	
-	    nickname status-code
+	    nickname status-code account
 	
-	where nickname is the nickname sent with the command, and
-	status-code is one of the following:
+	where nickname is the nickname sent with the command,
+	status-code is one of the following, and account
+	is the account they are logged in as.
 	
 	    0 - no such user online or nickname not registered
 	    1 - user not recognized as nickname's owner
diff --git a/lang/es.l b/lang/es.l
index 0f711e7ea..d2430bcc2 100644
--- a/lang/es.l
+++ b/lang/es.l
@@ -713,14 +713,8 @@ NICK_ACCESS_LIST_X_EMPTY
 	La lista de acceso para %s esta vacia.
 
 # Status messages
-NICK_STATUS_0
-	STATUS %s 0
-NICK_STATUS_1
-	STATUS %s 1
-NICK_STATUS_2
-	STATUS %s 2
-NICK_STATUS_3
-	STATUS %s 3
+NICK_STATUS_REPLY
+	STATUS %s %d %s
 
 # INFO responses
 NICK_INFO_SYNTAX
@@ -3949,10 +3943,11 @@ NICK_HELP_STATUS
 	ha sido reconocido como el propietario del nickname.
 	La respuesta tiene el siguiente formato:
 	
-	    nickname codigo-del-status
+	    nickname codigo-del-status account
 	
-	Donde nickname es el nickname enviado con el comando, y
-	codigo-del-status es uno de los siguientes:
+	Donde nickname es el nickname enviado con el comando,
+	codigo-del-status es uno de los siguientes, and
+	account is the account they are logged in as.
 	
 	    0 - Usuario no esta en linea o el nick no esta registrado.
 	    1 - Usuario no reconocido como el propietario del nick.
diff --git a/lang/fr.l b/lang/fr.l
index 618ae2563..ab022bb6d 100644
--- a/lang/fr.l
+++ b/lang/fr.l
@@ -721,14 +721,8 @@ NICK_ACCESS_LIST_X_EMPTY
 	La liste d'accès de %s est vide.
 
 # Status messages
-NICK_STATUS_0
-	STATUS %s 0
-NICK_STATUS_1
-	STATUS %s 1
-NICK_STATUS_2
-	STATUS %s 2
-NICK_STATUS_3
-	STATUS %s 3
+NICK_STATUS_REPLY
+	STATUS %s %d %s
 
 # INFO responses
 NICK_INFO_SYNTAX
@@ -4006,10 +4000,11 @@ NICK_HELP_STATUS
 	Retourne si l'utilisateur utilisant le pseudo donné est reconnu
 	en tant que propriétaire du pseudo. La réponse a ce format:
 	
-	    pseudo code-status
+	    pseudo code-status account
 	
-	où pseudo est le pseudo envoyé avec la commande, et
-	code-status peut être l'un des suivants:
+	where pseudo is the nickname sent with the command,
+	code-status is one of the following, and account
+	is the account they are logged in as.
 	
 	    0 - cet utilisateur n'est pas online ou le pseudo n'est pas 
 	        enregistré
diff --git a/lang/gr.l b/lang/gr.l
index b03acdbd7..00a523a9d 100644
--- a/lang/gr.l
+++ b/lang/gr.l
@@ -709,14 +709,8 @@ NICK_ACCESS_LIST_X_EMPTY
 	Access list for %s is empty.
 
 # Status messages
-NICK_STATUS_0
-	STATUS %s 0
-NICK_STATUS_1
-	STATUS %s 1
-NICK_STATUS_2
-	STATUS %s 2
-NICK_STATUS_3
-	STATUS %s 3
+NICK_STATUS_REPLY
+	STATUS %s %d %s
 
 # INFO responses
 NICK_INFO_SYNTAX
@@ -3981,11 +3975,11 @@ NICK_HELP_STATUS
 	øåõäþíõìï ðïõ äþóáôå, Ý÷åé áíáãíùñéóôåß óáí êÜôï÷üò ôïõ.
 	Ôï áðïôÝëåóìá ôçò åíôïëÞò Ý÷åé ôç ìïñöÞ:
 	
-	    øåõäþíõìï êùäéêüò-êáôÜóôáóçò
+	    øåõäþíõìï êùäéêüò-êáôÜóôáóçò account
 	
-	üðïõ øåõäþíõìï åßíáé ôï øåõäþíõìï ãéá ôï ïðïßï èÝëåôå íá,ìÜèåôå
-	ôçí êáôÜóôáóÞ ôïõ êáé üðïõ êùäéêüò-êáôÜóôáóçò åßíáé Ýíáò
-	áðü ôïõò ðáñáêÜôù:
+	where øåõäþíõìï is the nickname sent with the command,
+	êùäéêüò-êáôÜóôáóçò is one of the following, and account
+	is the account they are logged in as.
 	
 	    0 - äåí õðÜñ÷åé ôÝôïéïò ÷ñÞóôçò óõíäåäåìÝíïò Þ ôï øåõäþíõìï åßíáé ìç êáôï÷õñùìÝíï
 	    1 - ï ÷ñÞóôçò äåí áíáãíùñßóôçêå óáí êÜôï÷ïò ôïõ øåõäùíýìïõ
diff --git a/lang/hun.l b/lang/hun.l
index 325b1c327..b881ce18c 100644
--- a/lang/hun.l
+++ b/lang/hun.l
@@ -706,14 +706,8 @@ NICK_ACCESS_LIST_X_EMPTY
 	Access list for %s is empty.
 
 # Status messages
-NICK_STATUS_0
-	STATUS %s 0
-NICK_STATUS_1
-	STATUS %s 1
-NICK_STATUS_2
-	STATUS %s 2
-NICK_STATUS_3
-	STATUS %s 3
+NICK_STATUS_REPLY
+	STATUS %s %d %s
 
 # INFO Válaszok
 NICK_INFO_SYNTAX
@@ -3887,10 +3881,11 @@ NICK_HELP_STATUS
 	használ azonosította magát, mint tulajdonos. 
 	Az eredmény formája a következõ:
 	
-		nicknév státusz-kód
+		nicknév státusz-kód account
 	
-	ahol a nicknévaz a nicknév amit küldtél a parancsban, és
-	a státusz-kóda következõ lehet:
+	where nickname is the nickname sent with the command,
+	status-code is one of the following, and account
+	is the account they are logged in as.
 	
 	    0 - Nincs ilyen user online vagy a nick nem regisztrált
 	    1 - A felhasználó nem azonosított be, mint a nick tulajdonosa
diff --git a/lang/it.l b/lang/it.l
index 52ed1a5e2..fccc1f4a7 100644
--- a/lang/it.l
+++ b/lang/it.l
@@ -698,14 +698,8 @@ NICK_ACCESS_LIST_X_EMPTY
 	La lista d'accesso per %s è vuota.
 
 # Status messages
-NICK_STATUS_0
-	STATO %s 0
-NICK_STATUS_1
-	STATO %s 1
-NICK_STATUS_2
-	STATO %s 2
-NICK_STATUS_3
-	STATO %s 3
+NICK_STATUS_REPLY
+	STATUS %s %d %s
 
 # INFO responses
 NICK_INFO_SYNTAX
@@ -3855,10 +3849,11 @@ NICK_HELP_STATUS
 	Indica se l'utente che usa il nick specificato è riconosciuto
 	come proprietario del nick. La risposta ha questo formato:
 	
-	    nick codice-di-stato
+	    nick codice-di-stato account
 	
-	dove nick è il nick inviato con il comando, e codice-di-stato
-	può essere:
+	where nick is the nickname sent with the command,
+	codice-di-stato is one of the following, and account
+	is the account they are logged in as.
 	
 	    0 - l'utente non è online o il nick non è registrato
 	    1 - l'utente non è riconosciuto come proprietario del nick
diff --git a/lang/nl.l b/lang/nl.l
index b2232cad1..f2616762d 100644
--- a/lang/nl.l
+++ b/lang/nl.l
@@ -713,14 +713,8 @@ NICK_ACCESS_LIST_X_EMPTY
 	Access list for %s is empty.
 
 # Status messages
-NICK_STATUS_0
-	STATUS %s 0
-NICK_STATUS_1
-	STATUS %s 1
-NICK_STATUS_2
-	STATUS %s 2
-NICK_STATUS_3
-	STATUS %s 3
+NICK_STATUS_REPLY
+	STATUS %s %d %s
 
 # INFO responses
 NICK_INFO_SYNTAX
@@ -3923,10 +3917,11 @@ NICK_HELP_STATUS
 	Geef terug of de gebruiker van de gegeven nick wordt herkend
 	als de eigenaar van die nick. Het antwoord is in dit formaat:
 	
-	    nick status-code
+	    nick status-code account
 	
-	waar nick de nick is die verstuurd is met he commando, en
-	status-code een van de volgende mogelijkheden is:
+	where nick is the nickname sent with the command,
+	status-code is one of the following, and account
+	is the account they are logged in as.
 	
 	    0 - gebruiker niet online of nick niet geregistreerd
 	    1 - gebruiker wordt niet herkend als de eigenaar van de nick
diff --git a/lang/pl.l b/lang/pl.l
index fb7198f86..8a4c8e1ee 100644
--- a/lang/pl.l
+++ b/lang/pl.l
@@ -888,17 +888,8 @@ NICK_ACCESS_LIST_X_EMPTY
 	Lista dostêpu dla %s jest pusta.
 
 # Status messages
-NICK_STATUS_0
-	STATUS %s 0 (nie ma lub nie zarejestrowany)
-
-NICK_STATUS_1
-	STATUS %s 1 (nie jest zidentyfikowany)
-
-NICK_STATUS_2
-	STATUS %s 2 (identyfikacja list± dostêpu)
-
-NICK_STATUS_3
-	STATUS %s 3 (identyfikacja has³em)
+NICK_STATUS_REPLY
+	STATUS %s %d %s
 
 # INFO responses
 NICK_INFO_SYNTAX
@@ -4935,10 +4926,11 @@ NICK_HELP_STATUS
 	rozpoznawani jako w³a¶ciciele nicka).
 	Odpowied¼ ma nastêpuj±cy format:
 	
-	    nick kod
+	    nick kod account
 	
-	Gdzie nick jest tym nickiem wys³anym w 
-	komendzie, a kod mo¿e oznaczaæ:
+	where nick is the nickname sent with the command,
+	kod is one of the following, and account
+	is the account they are logged in as.
 	
 	0 - u¿ytkownik jest offline lub nick niezarejestrowany
 	1 - u¿ytkownik nie zidentyfikowa³ siê jako w³a¶ciciel nicka
diff --git a/lang/pt.l b/lang/pt.l
index 0e5b0ab4a..1f355710b 100644
--- a/lang/pt.l
+++ b/lang/pt.l
@@ -715,14 +715,8 @@ NICK_ACCESS_LIST_X_EMPTY
 	Lista de acesso para %s está vazia.
 
 # Status messages
-NICK_STATUS_0
-	STATUS %s 0
-NICK_STATUS_1
-	STATUS %s 1
-NICK_STATUS_2
-	STATUS %s 2
-NICK_STATUS_3
-	STATUS %s 3
+NICK_STATUS_REPLY
+	STATUS %s %d %s
 
 # INFO responses
 NICK_INFO_SYNTAX
@@ -3870,10 +3864,11 @@ NICK_HELP_STATUS
 	é reconhecio como dono do nick. 
 	A resposta tem este formato:
 	
-	    nick código-de-status
+	    nick código-de-status account
 	
-	onde nick é o nick enviado com o comando, e
-	código-de-status é um dos seguintes:
+	where nick is the nickname sent with the command,
+	código-de-status is one of the following, and account
+	is the account they are logged in as.
 	
 	    0 - usuário não está conectado ou o nick não está registrado
 	    1 - usuário não reconhecido como dono do nick
diff --git a/lang/ru.l b/lang/ru.l
index a06ca3d07..3ee139aa1 100644
--- a/lang/ru.l
+++ b/lang/ru.l
@@ -698,14 +698,8 @@ NICK_ACCESS_LIST_X_EMPTY
 	Ñïèñîê äîñòóïà äëÿ %s ïóñò.
 
 # Status messages
-NICK_STATUS_0
-	STATUS %s 0 (íèê íåçàðåãèñòðèðîâàí èëè åãî íåò â ñåòè)
-NICK_STATUS_1
-	STATUS %s 1 (íèê çàðåãèñòðèðîâàí è â ñåòè, íî ïîëüçîâàòåëü íå èäåíòèôèöèðîâàëñÿ ê íåìó)
-NICK_STATUS_2
-	STATUS %s 2 (íèê çàðåãèñòðèðîâàí è â ñåòè, ïîëüçîâàòåëü èäåíòèôèöèðîâàí ê íåìó ÷åðåç ñïèñîê ìàñîê)
-NICK_STATUS_3
-	STATUS %s 3 (ïîëüçîâàòåëü èäåíòèôèöèðîâàí êàê âëàäåëåö íèêà ÷åðåç èäåíòèôèêàöèþ ïàðîëåì)
+NICK_STATUS_REPLY
+	STATUS %s %d %s
 
 # INFO responses
 NICK_INFO_SYNTAX
@@ -3918,10 +3912,11 @@ NICK_HELP_STATUS
 	Çàïðàøèâàåò èíôîðìàöèþ î ñòàòóñå íèêà íà ñåðâèñàõ - èäåíòèôèöèðîâàëñÿ
 	ëè èñïîëüçóþùèé åãî êàê âëàäåëåö. Îòâåò âûâîäèòñÿ â ôîðìàòå:
 	
-	    íèê êîä-ñòàòóñà
+	    íèê êîä-ñòàòóñà status account
 	
-	ãäå íèê - ýòî íèê, ñòàòóñ êîòîðîãî âû çàïðîñèëè, à êîä-ñòàòóñà
-	ìîæåò áûòü îäíèì èç:
+	where nickname is the nickname sent with the command,
+	status-code is one of the following, and account
+	is the account they are logged in as.
 	
 	0 - òàêîãî ïîëüçîâàòåëÿ íåò â îíëàéíå èëè ýòîò íèê íå çàðåãèñòðèðîâàí
 	1 - ïîëüçîâàòåëü íå èäåíòèôèöèðîâàí êàê âëàäåëåö íèêà
diff --git a/lang/tr.l b/lang/tr.l
index 96a1d8636..6af7e1978 100644
--- a/lang/tr.l
+++ b/lang/tr.l
@@ -716,14 +716,8 @@ NICK_ACCESS_LIST_X_EMPTY
 	Access list for %s is empty.
 
 # Status messages
-NICK_STATUS_0
-	STATUS %s 0
-NICK_STATUS_1
-	STATUS %s 1
-NICK_STATUS_2
-	STATUS %s 2
-NICK_STATUS_3
-	STATUS %s 3
+NICK_STATUS_REPLY
+	STATUS %s %d %s
 
 # INFO responses
 NICK_INFO_SYNTAX
@@ -3969,10 +3963,11 @@ NICK_HELP_STATUS
 	Nickin kullanýcý tarafýndan nickin sahibi olarak tanýtýlýp 
 	tanýtýlmadýðýný gösterir. Cevap þu formattadýr:
 	
-	    nick durum-kodu
+	    nick durum-kodu account
 	
-	nick komutta yazýlan nick, ve durum-kodu da
-	aþaðýdakilerden biridir:
+	where nick is the nickname sent with the command,
+	durum-kodu is one of the following, and account
+	is the account they are logged in as.
 	
 	    0 - Böyle bir kullanýcý baðlý deðil veya nick 
 	           kayýtlý deðil
diff --git a/src/core/ns_status.c b/src/core/ns_status.c
index 5a2e56476..92913a30b 100644
--- a/src/core/ns_status.c
+++ b/src/core/ns_status.c
@@ -37,16 +37,21 @@ class CommandNSStatus : public Command
 
 		while (nick && i++ < 16)
 		{
+			na = findnick(nick);
+
 			if (!(u2 = finduser(nick))) /* Nick is not online */
-				notice_lang(s_NickServ, u, NICK_STATUS_0, nick);
-			else if (nick_identified(u2)) /* Nick is identified */
-				notice_lang(s_NickServ, u, NICK_STATUS_3, nick);
+				notice_lang(s_NickServ, u, NICK_STATUS_REPLY, nick, 0, "");
+			else if (nick_identified(u2) && na && na->nc == u2->nc) /* Nick is identified */
+				notice_lang(s_NickServ, u, NICK_STATUS_REPLY, nick, 3, u2->nc->display);
 			else if (nick_recognized(u2)) /* Nick is recognised, but NOT identified */
-				notice_lang(s_NickServ, u, NICK_STATUS_2, nick);
-			else if (!(na = findnick(nick))) /* Nick is online, but NOT a registered */
-				notice_lang(s_NickServ, u, NICK_STATUS_0, nick);
+				notice_lang(s_NickServ, u, NICK_STATUS_REPLY, nick, 2, (u2->nc ? u2->nc->display : ""));
+			else if (!na) /* Nick is online, but NOT a registered */
+				notice_lang(s_NickServ, u, NICK_STATUS_REPLY, nick, 0, "");
 			else
-				notice_lang(s_NickServ, u, NICK_STATUS_1, nick);
+				/* Nick is not identified for the nick, but they could be logged into an account,
+				 * so we tell the user about it
+				 */
+				notice_lang(s_NickServ, u, NICK_STATUS_REPLY, nick, 1, (u2->nc ? u2->nc->display : ""));
 
 			/* Get the next nickname */
 			nick = params.size() > i ? params[i].c_str() : NULL;
